/*
 * $Id: KeyState.as,v 1.1.1.1 2006/07/17 03:27:32 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.util {
  import flash.events.KeyboardEvent;

  /**
   * Handling a key state.
   */
  public class KeyState {
    public var left:Boolean = false;
    public var up:Boolean = false;
    public var right:Boolean = false;
    public var down:Boolean = false;

    public function onKeyDown(evt:KeyboardEvent):void {
      switch (evt.keyCode) {
      case 37:
	left = true;
	break;
      case 38:
	up = true;
	break;
      case 39:
	right = true;
	break;
      case 40:
	down = true;
	break;
      }
    }

    public function onKeyUp(evt:KeyboardEvent):void {
      switch (evt.keyCode) {
      case 37:
	left = false;
	break;
      case 38:
	up = false;
	break;
      case 39:
	right = false;
	break;
      case 40:
	down = false;
	break;
      }
    }
  }
}
