/*
 * $Id: Dngn.as,v 1.2 2006/07/17 05:06:54 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package {
  import flash.display.Sprite;
  import flash.display.Bitmap;
  import flash.display.BitmapData;
  import flash.events.Event;
  import flash.events.MouseEvent;
  import flash.events.KeyboardEvent;
  import flash.media.Sound;
  import abagames.util.MouseState;
  import abagames.util.KeyState;
  import abagames.dngn.MainLoop;

  /**
   * Dngn bootstrap.
   */
  public class Dngn extends Sprite {
    [Embed(source='dngn1.mp3')]
    private var Dngn1Mp3:Class;
    public static var screenWidth:int = 480;
    public static var screenHeight:int = 480;
    private var rootSprite:Sprite;
    private var mainLoop:MainLoop;
    private var mouseState:MouseState;
    private var keyState:KeyState;
    private var isFirst:Boolean = true;
    private var sound:Sound;
    
    public function Dngn() {
      sound = new Dngn1Mp3;
      addEventListener(Event.ENTER_FRAME, onEnterFrame);
    }

    public function onEnterFrame(evt:Event):void {
      if (isFirst) {
        isFirst = false;
	mainLoop = new MainLoop;
	mouseState = new MouseState;
	keyState = new KeyState;
	rootSprite = this;
        stage.addEventListener(MouseEvent.MOUSE_DOWN, mouseState.onMouseDown);
        stage.addEventListener(MouseEvent.MOUSE_UP, mouseState.onMouseUp);
        stage.addEventListener(MouseEvent.MOUSE_WHEEL, mouseState.onMouseWheel);
        stage.addEventListener(KeyboardEvent.KEY_DOWN, keyState.onKeyDown);
        stage.addEventListener(KeyboardEvent.KEY_UP, keyState.onKeyUp);
        var buffer:BitmapData = new BitmapData(screenWidth, screenHeight, false, 0);
        var screen:Bitmap = new Bitmap(buffer);
        rootSprite.addChild(screen);
        mainLoop.init(rootSprite, buffer, screen, mouseState, keyState, sound);
      }
      mouseState.updateXY(mouseX, mouseY);
      mainLoop.update();
    }
  }
}
