/*
 * $Id: BarrageCatalog.as,v 1.1.1.1 2006/07/17 03:27:32 kenta Exp $
 *
 * Copyright 2006 Kenta Cho. Some rights reserved.
 */
package abagames.dngn {
  /**
   * Catalog for barrages.
   */
  public class BarrageCatalog {
    public static function createBarrages():Array {
      var barrages:Array = new Array;
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">0</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <vanish />
 </action>
</bulletml>
        ));
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">0</direction>
   <speed>2.2</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">0</direction>
   <speed>1.7</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">0</direction>
   <speed>1.2</speed>
   <bullet />
  </fire>
  <vanish />
 </action>
</bulletml>
        ));
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">-30</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">0</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">30</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <vanish />
 </action>
</bulletml>
        ));
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">120</direction>
   <speed>1.5</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">0</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <vanish />
 </action>
</bulletml>
        ));
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">0</direction>
   <speed>1.5</speed>
   <bullet />
  </fire>
  <repeat> <times>3</times>
  <action>
   <wait>6</wait>
   <fire>
    <direction type="relative">0</direction>
    <speed type="sequence">0.4</speed>
    <bullet />
   </fire>
  </action>
  </repeat>
  <vanish />
 </action>
</bulletml>
        ));
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">-40</direction>
   <speed>2.5</speed>
   <bullet />
  </fire>
  <repeat> <times>2</times>
  <action>
   <fire>
    <direction type="sequence">20</direction>
    <speed type="sequence">-0.5</speed>
    <bullet />
   </fire>
  </action>
  </repeat>
  <repeat> <times>2</times>
  <action>
   <fire>
    <direction type="sequence">20</direction>
    <speed type="sequence">0.5</speed>
    <bullet />
   </fire>
  </action>
  </repeat>
  <vanish />
 </action>
</bulletml>
        ));
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">0</direction>
   <speed>0</speed>
   <bullet>
    <actionRef label="bar" />
   </bullet>
  </fire>
  <vanish />
 </action>
 <action label="bar">
  <fire>
   <direction type="relative">0</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <repeat> <times>2</times>
  <action>
   <wait>5</wait>
   <fire>
    <direction type="sequence">0</direction>
    <speed type="sequence">0</speed>
    <bullet />
   </fire>
  </action>
  </repeat>
  <vanish />
 </action>
</bulletml>
        ));
      barrages.push(new Barrage(
<bulletml>
 <action label="top">
  <fire>
   <direction type="relative">0</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">90</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">-90</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <fire>
   <direction type="relative">180</direction>
   <speed>2</speed>
   <bullet />
  </fire>
  <vanish />
 </action>
</bulletml>
        ));
      return barrages;
    }
  }
}
